# $Revision: 1.40 $, $Date: 2010/04/24 21:49:06 $
# TODO:
# - generate docs without using forrest. It seems to be possible.
#
# Conditional build:
%bcond_with	doc		# build with docs (require apache-forrest)
%bcond_with	bootstrap	# break BR loop batik-fop

%include	/usr/lib/rpm/macros.java

%define		_rel	7
%define		srcname	xmlgraphics-batik
Summary:	Java SVG support
Summary(pl.UTF-8):	Wsparcie dla SVG dla języka Java
Name:		java-xmlgraphics-batik
Version:	1.7
Release:	%{bootstrap_release %{_rel}}
License:	Apache
Group:		Applications/Publishing/XML/Java
Source0:	http://www.apache.org/dist/xmlgraphics/batik/batik-src-%{version}.zip
# Source0-md5:	c117ca2241907f62a2b3031167ebf917
Patch0:		%{name}-nodocs.patch
URL:		http://xml.apache.org/batik/
%{?with_doc:BuildRequires:	java-forrest}
BuildRequires:	java-rhino
BuildRequires:	java-xalan
%{!?with_bootstrap:BuildRequires:	java-xmlgraphics-fop}
BuildRequires:	jdk >= 1.4
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.557
BuildRequires:	unzip
BuildRequires:	xml-commons-external
Requires:	java-rhino
Requires:	java-xalan
Requires:	jre >= 1.4
Requires:	xml-commons-external
Obsoletes:	batik
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java SVG support.

%description -l pl.UTF-8
Wsparcie dla SVG dla języka Java.

%package doc
Summary:	Documentation for the Batik library
Summary(pl.UTF-8):	Dokumentacja dla biblioteki Batik
Group:		Documentation

%description doc
Documentation for the Batik library.

%description doc -l pl.UTF-8
Dokumentacja dla biblioteki Batik.

%prep
%setup -q -n batik-%{version}

%if %{without doc}
%patch0 -p0
%endif

rm lib/js.jar lib/xalan*.jar lib/xerces*.jar lib/xml-apis*.jar

%build
unset CLASSPATH || :
export JAVA_HOME=%{java_home}

jars='js xalan xercesImpl xml-apis xml-apis-ext'
for jar in $jars; do
	ln -s $(find-jar $jar) lib
done

%if %{without bootstrap}
	rm lib/pdf-transcoder.jar
	ln -s $(find-jar xmlgraphics-fop) lib
%endif

#sh build.sh dist-tgz # does not work :-(
sh build.sh dist-zip

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/%{srcname}

cd batik-%{version}
for jar in batik*.jar; do
	base=$(basename $jar .jar)
	install $jar $RPM_BUILD_ROOT%{_javadir}/xmlgraphics-$base-%{version}.jar
	ln -s xmlgraphics-$base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xmlgraphics-$base.jar
done

cd lib
for jar in batik*.jar; do
  install $jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}/$jar
done

%if %{with bootstrap}
  install -p pdf-transcoder.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}/pdf-transcoder.jar
%endif

cd ../extensions
for jar in batik*.jar; do
  install $jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}/extension-${jar#batik-}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES KEYS NOTICE README
%{_javadir}/%{srcname}*.jar
%{_javadir}/%{srcname}

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}/docs/* %{name}-%{version}/samples
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-xmlgraphics-batik.spec,v $
Revision 1.40  2010/04/24 21:49:06  pawelz
- use %bootstrap_release macro
- rel 7

Revision 1.39  2010/04/18 16:07:33  pawelz
- updated java deps

Revision 1.38  2010/04/17 07:44:30  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.37  2010/04/03 20:32:28  pawelz
- rel 6 (to send to th without bootstrap)

Revision 1.36  2010/04/03 20:27:16  pawelz
- renamed from batik
- unified

Revision 1.35  2010/03/31 16:25:43  pawelz
- also drop R: xalan-c

Revision 1.34  2010/03/31 16:11:12  pawelz
- dropped BR xalan-c

Revision 1.33  2010/03/31 16:06:25  pawelz
- add .bootstrap to release when with bootstrap

Revision 1.32  2010/03/31 15:55:50  pawelz
- typo (missing '$' before shell variable name)

Revision 1.31  2010/02/05 08:10:52  glen
- unify doc bcond

Revision 1.30  2010/01/17 23:24:59  glen
- refresh deps using adapter

Revision 1.29  2010/01/17 23:23:56  glen
- find-jar need to be in %build as BR not yet filled in %prep

Revision 1.28  2010/01/15 20:29:11  sparky
- don't use %{?without_...} - it may not work after inverting bcond

Revision 1.27  2008/12/30 21:21:09  pawelz
- added bootstrap bcond that allows to break BR-loop
- don't use jar files provided with sources when building without bootstrap

Revision 1.26  2008/12/29 15:26:23  pawelz
- dependencies

Revision 1.25  2008/12/29 15:21:30  pawelz
- up to 1.7
- use system jars (see TODO)
- added TODO line
- better %files section

Revision 1.24  2008/12/29 01:17:48  pawelz
- TODO line about docs and forrest

Revision 1.23  2008/12/29 01:12:35  pawelz
- makes building docs optional (do not BR apache-forrest)

Revision 1.22  2008/02/27 18:37:27  baggins
- BR forrest

Revision 1.21  2008-02-27 18:30:42  baggins
- started update to 1.7

Revision 1.20  2007/03/02 15:47:14  qrczak
- Fixed setting HAVA_HOME.
- Doesn't build for me anyway.

Revision 1.19  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.17  2006/08/06 17:24:08  gotar
- build.sh refers to $JAVA_HOME/bin/java (?)

Revision 1.16  2006/05/21 15:57:11  qboosh
- missing defattr

Revision 1.15  2006/05/21 12:48:18  radek
- svn snap 408156 (v1.5.1 doesn't build with current java 1.5,
  neither does v1.6); uploaded to dropin
- separated -doc subpackage

Revision 1.14  2004/11/10 18:39:26  darekr
- add BR unzip

Revision 1.13  2004/08/16 10:08:42  luzik
- updated to 1.5.1

Revision 1.12  2003/11/08 22:20:06  qboosh
- updated Source0 URL, missing dirs

Revision 1.10  2003/05/27 08:01:33  trojan
- added Source-md5

Revision 1.9  2003/05/25 05:45:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/08/18 17:11:34  blues
- release 2 - license fix, new doc

Revision 1.7  2002/04/25 15:51:35  arturs
- fixed a small typo

Revision 1.6  2002/03/19 14:01:39  ankry
- URL fixed

Revision 1.5  2002/03/12 18:55:40  aflinta
- corrected JAVA_HOME initialization directory
- release 2

Revision 1.4  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/12 10:43:17  wrobell
- build with sh dist-zip target - all needed files are built

Revision 1.2  2002/01/30 18:03:03  wrobell
- fixed install and build requirements

Revision 1.1  2002/01/30 14:48:00  wrobell
- based on xalan-j.spec
